+ ac_hildon_lgpl=1
+
+fi
+
+ if test "$ac_hildon_lgpl" = 0 ; then
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for HILDON2" >&5
+echo $ECHO_N "checking for HILDON2... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+ if test -n "$HILDON2_CFLAGS"; then
+ pkg_cv_HILDON2_CFLAGS="$HILDON2_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"hildon-1 >= 1.99\"") >&5
+ ($PKG_CONFIG --exists --print-errors "hildon-1 >= 1.99") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_HILDON2_CFLAGS=`$PKG_CONFIG --cflags "hildon-1 >= 1.99" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$HILDON2_LIBS"; then
+ pkg_cv_HILDON2_LIBS="$HILDON2_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"hildon-1 >= 1.99\"") >&5
+ ($PKG_CONFIG --exists --print-errors "hildon-1 >= 1.99") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_HILDON2_LIBS=`$PKG_CONFIG --libs "hildon-1 >= 1.99" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
+else
+ _pkg_short_errors_supported=no
+fi
+ if test $_pkg_short_errors_supported = yes; then
+ HILDON2_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "hildon-1 >= 1.99"`
+ else
+ HILDON2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "hildon-1 >= 1.99"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$HILDON2_PKG_ERRORS" >&5
+
+
+ { echo "$as_me:$LINENO: WARNING: libhildon_1 not found" >&5
+echo "$as_me: WARNING: libhildon_1 not found" >&2;}
+ wxUSE_LIBHILDON2="no"
+
+
+elif test $pkg_failed = untried; then
+
+ { echo "$as_me:$LINENO: WARNING: libhildon_1 not found" >&5
+echo "$as_me: WARNING: libhildon_1 not found" >&2;}
+ wxUSE_LIBHILDON2="no"
+
+
+else
+ HILDON2_CFLAGS=$pkg_cv_HILDON2_CFLAGS
+ HILDON2_LIBS=$pkg_cv_HILDON2_LIBS
+ { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+ EXTRALIBS_HILDON="$HILDON2_LIBS"
+ CFLAGS="$CFLAGS $HILDON2_CFLAGS"
+ CXXFLAGS="$CXXFLAGS $HILDON2_CFLAGS"
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_LIBHILDON2 1
+_ACEOF
+